GET /repos/{owner}/{repo}/rulesets/{ruleset_id}

github.com:github-rest-api

Summary: Get a repository ruleset
Operation ID: repos/get-repo-ruleset
Auth: bearer_token
Description

Get a ruleset for a repository. **Note:** To prevent leaking sensitive information, the `bypass_actors` property is only returned if the user making the API request has write access to the ruleset.

Parameters (4)

includes_parents (boolean, query, optional, default: True)

Include rulesets configured at higher levels that apply to this repository

owner (string, path, required)

The account owner of the repository. The name is not case sensitive.

repo (string, path, required)

The name of the repository without the `.git` extension. The name is not case sensitive.

ruleset_id (integer, path, required)

The ID of the ruleset.

No probe data for this endpoint yet.